var wx = {};
class WxgamePlatform {
    login(cb) {
        return new Promise((resolve, reject) => {
            this.codeCB = cb;
            let data = {name: "userid"}
            egret.ExternalInterface.call("sendToNative", JSON.stringify(data))
        })
    }
    getUserInfo(cb) {
        if (!wx.getUserInfo)
            return;
    }
    getSetting(w, h, x, y, cb) { }
    getSetting2(cb) { }
    requestSubscribeSystemMessage(id, cb) { }
    requestSubscribeMessage(id, cb) { }
    createthisshouquanButton(width, height, x, y, cb) { }
    removethisshouquanButton() { }
    clearAllAssets() { }
    checkIsEmpty() {
        return true
    }
    isLocal() {
        return false
    }
    openLogin() {
        return true
    }
    preCreateRewardedVideoAd() {
        let data = {name: "rewardLoad"}
        egret.ExternalInterface.call("sendToNative", JSON.stringify(data))
    }
    setKpAd() {
        let data = {name: "kpAd", kpAdShow: platform.kpAdShow, kpAdInterval: platform.kpAdInterval}
        egret.ExternalInterface.call("sendToNative", JSON.stringify(data))
    }
    createRewardedVideoAd(callback, sceneID) {
        if (egret.lifecycle && egret.lifecycle && egret.lifecycle.onPause) {
            egret.lifecycle.onPause()
        }
        this.rewardCB = callback;
        let data = {name: "rewardAd", sceneID: sceneID||0}
        egret.ExternalInterface.call("sendToNative", JSON.stringify(data));
        platform.interAdFalg = true
    }
    setPreferredFramesPerSecond(fps) { }
    openBanner(ischange, scale, view, isSmallView) {
        if (!this.bannerFlag || ischange) {
            let data = {name: "openBanner", native: isSmallView?1:0, ischange: ischange?1:0}
            egret.ExternalInterface.call("sendToNative", JSON.stringify(data));
        }
        this.bannerFlag = true;
    }
    closeBanner() {
        if (this.bannerFlag) {
            let data = {name: "closeBanner"}
            egret.ExternalInterface.call("sendToNative", JSON.stringify(data))
        }
        this.bannerFlag = false;
    }
    getInterstitialAd(cb) {
        if (this.interAdFalg)
            return;
        if (egret.lifecycle && egret.lifecycle && egret.lifecycle.onPause) {
            egret.lifecycle.onPause()
        }
        setTimeout(() => {
            this.interAdFalg = false;
        }, 10000);
        this.interAdFalg = true;
        let data = {name: "openInterAd"}
        egret.ExternalInterface.call("sendToNative", JSON.stringify(data));
    }
    getInterstitialAd2(cb) {
        if (this.interAdFalg)
            return;
        if (egret.lifecycle && egret.lifecycle && egret.lifecycle.onPause) {
            egret.lifecycle.onPause()
        }
        setTimeout(() => {
            this.interAdFalg = false;
        }, 10000);
        this.interAdFalg = true;
        let data = {name: "openInterAd2"}
        egret.ExternalInterface.call("sendToNative", JSON.stringify(data));
    }
    openCustomerServiceConversation() { }
    getUpdateManager() { }
    showModal(obj) { }
    vibrateShort() { }
    setUserCloudStorage(KVDataList) { }
    setGameInfo(text) {
        let data = {name: "setGameInfo", info: text}
        egret.ExternalInterface.call("sendToNative", JSON.stringify(data));
    }
    copyText(text) {
        let data = {name: "copy", info: text}
        egret.ExternalInterface.call("sendToNative", JSON.stringify(data));
    }
    hasFriendList() {
        return false;
    }
    showShareMenu(imageUrl, imageUrlId, title, cb, userId) { }
    createGameClubButton(scaleX, scaleY, width, height, num) { }
    shouCustomAd(isChange, y) {
        if (!this.CustomAdFlag) {
            let data = {name: "openCustomAd"}
            egret.ExternalInterface.call("sendToNative", JSON.stringify(data));
        }
        this.CustomAdFlag = true;
    }
    hideCustomAd() {
        if (this.CustomAdFlag) {
            let data = {name: "closeCustomAd"}
            egret.ExternalInterface.call("sendToNative", JSON.stringify(data));
        }
        this.CustomAdFlag = false;
    }
    triggerGC(cb) { }
    getNetworkType(cb) { }
    navigateToMiniProgram(data, cb, failCB) { }
    showMoreBtn(view) {
        if (!platform.isShowMore)
            return;
        let img = new eui.Image("more.png");
        view.mainGroup.addChild(img);
        img.x = 10,
            img.y = 650;
        img.addEventListener("touchEnd", () => {
            img.scaleX = 1.2;
            img.scaleY = 1.2;
            egret.Tween.get(img).to({
                scaleX: 1,
                scaleY: 1
            }, 200, egret.Ease.backOut);
            let data = {name: "moreBtn"}
            egret.ExternalInterface.call("sendToNative", JSON.stringify(data));
        }, view)
    }
    showYearImg(view) {
        // let img = new eui.Image("eight.png");
        // view.addChild(img);
        // img.y = 60,
        // img.right = 20;
    }
    removethisGameclubButton() { }
    removethisFeedbackButton() { }
    showPrivacyBtn(view) {
        if (!platform.isShowPrivacy)
            return;
        let img = new eui.Image("ysxy.png");
        view.group.addChild(img);
        img.x = 285,
            img.y = 650;
        img.addEventListener("touchEnd", () => {
            img.scaleX = 1.2;
            img.scaleY = 1.2;
            egret.Tween.get(img).to({
                scaleX: 1,
                scaleY: 1
            }, 200, egret.Ease.backOut);
            let data = {name: "privacy"}
            egret.ExternalInterface.call("sendToNative", JSON.stringify(data));
        }, view)
    }
    getOpenDataContext() { }
    getLaunchOptionsSync() { }
    getSystemInfoSync() { }
    showFullVideo() {
        if (egret.lifecycle && egret.lifecycle && egret.lifecycle.onPause) {
            egret.lifecycle.onPause()
        }
        let data = {name: "showFullVideo"}
        egret.ExternalInterface.call("sendToNative", JSON.stringify(data));
        this.interAdFalg = true;
    }
    showFullVideo2() {
        if (egret.lifecycle && egret.lifecycle && egret.lifecycle.onPause) {
            egret.lifecycle.onPause()
        }
        let data = {name: "showFullVideo2"}
        egret.ExternalInterface.call("sendToNative", JSON.stringify(data));
        this.interAdFalg = true;
    }
    entryAdScenario(id) {
        let data = {name: "entryAdScenario", id: id}
        egret.ExternalInterface.call("sendToNative", JSON.stringify(data));
    }
    getAccountInfoSync() { }
    onShow(cb) { }
    initAdSDK(info, cb) { }
    getAdvert(adType, cb) { }
    setadvert(param, cb) { }
    onSdkNotice() { }
    sendAward(key) { }
}
wx.login = function () {
    let code2 = localStorage.getItem("code");
    if (!code2) {
        code2 = "" + Math.floor(Math.random() * 99999999);
        localStorage.setItem("code", code2)
    }
    localStorage.setItem("code", code2);
    return {
        code: code2
    }
}

egret.ExternalInterface.addCallback("sendToJS", function (msg) {
    if (msg == "rewardSuccess") {
        platform.interAdFalg = true;
        if (platform.rewardCB) {
            platform.rewardCB(1)
        }
        setTimeout(() => {
            platform.interAdFalg = false;
        }, 5000);
        if (egret.lifecycle && egret.lifecycle && egret.lifecycle.onResume) {
            egret.lifecycle.onResume(-1)
        }
    } else if (msg == "rewardFail") {
        platform.interAdFalg = true;
        if (platform.rewardCB) {
            platform.rewardCB(-1)
        }
        setTimeout(() => {
            platform.interAdFalg = false;
        }, 5000);
        platform.interAdFalg = true;
        if (egret.lifecycle && egret.lifecycle && egret.lifecycle.onResume) {
            egret.lifecycle.onResume(-1)
        }
    } else if (msg == "adClose") {
        setTimeout(() => {
            platform.interAdFalg = false;
        }, 5000);
        platform.interAdFalg = true;
        if (egret.lifecycle && egret.lifecycle && egret.lifecycle.onResume) {
            egret.lifecycle.onResume(-1)
        }
    } else if (msg.indexOf("userid") != -1) {
        if (platform.codeCB) {
            let s = msg.replace("userid", "");
            let a = s.split("**");
            platform.codeCB(a[0], 0);
            platform.codeCB = null;
            platform.channelId = a[1];
        }
    } else if (msg.indexOf("ppp") != -1) {
        platform.isShowMore = msg.lastIndexOf(".nearme.gamecenter") != -1;
    } else if (msg.indexOf("moreBtn") != -1) {
        let s = msg.replace("moreBtn", "");
        platform.isShowPrivacy = s == "1";
    }
});


window.platform = new WxgamePlatform();
window.platform.name = "android_qudao";
window.platform.sourceVersion = window.platform.gversion = "1.0.9";
platform.url = "https://kesheng-apk-center.mty-game.com/konglong2";
platform.platform = "kesheng-apk";
platform.channel = "kesheng-apk";
platform.channelId = 0;
platform.appVersion = "1.0.0";
platform.appSDKID = "202120010";
platform.kpAdShow; //热启动开屏广告是否展示
platform.kpAdInterval; //开屏广告展示时间间隔控制
